; $Id: deviceps.pro,v 1.2 2002/01/14 20:59:26 amunter Exp $
PRO deviceps, FREQUENCY=frequency, DOTS_PER_INCH=dots

IF N_ELEMENTS(frequency) EQ 0 THEN frequency=53
IF N_ELEMENTS(dots) EQ 0 THEN dots=600

line = STRTRIM(frequency,2) + ' 45{dup mul exch dup mul add 1 exch sub } setscreen'
DEVICE, OUTPUT=line
DEVICE, OUTPUT='/setres where {'
line = 'pop ' + STRTRIM(dots,2) + ' setres'
DEVICE, OUTPUT=line
DEVICE, OUTPUT='} if'
END
